<template>
  <div class="container-fluid d-flex content-center">
    <div
      class="d-flex flex-column h-min-100vh w-max-800 items-center content-center"
    >
      <h1>Err!</h1>
      <p class="text-lg c-grey-6 mt-2x">Something went wrong ...</p>
      <p v-if="error.statusCode !== 0" class="text-sm c-grey-5 mt-4x">
        {{ error }}
      </p>
      <b-button-text primary class="mt-6x" @click.prevent="$router.push('/')"
        >Back to Home</b-button-text
      >
    </div>
  </div>
</template>

<script>
export default {
  name: 'ErrorPage',
  layout: 'blank',
  props: {
    error: {
      type: Object,
      default() {
        return {
          statusCode: 0,
          message: '',
        }
      },
    },
  },
}
</script>
